DataCubeControllerGetCustomConfigurationUI Method |
GET /DataCube/CustomConfigurationUI/{id}
Gets the custom configuration UI for the specified transform in the system.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpGetAttribute]
[ActionNameAttribute("CustomConfigurationUI")]
public IActionResult GetCustomConfigurationUI(
Guid id,
string contentType,
Guid? sessionId = null
)<HttpGetAttribute>
<ActionNameAttribute("CustomConfigurationUI")>
Public Function GetCustomConfigurationUI (
id As Guid,
contentType As String,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpGetAttribute]
[ActionNameAttribute(L"CustomConfigurationUI")]
IActionResult^ GetCustomConfigurationUI(
Guid id,
String^ contentType,
Nullable<Guid> sessionId = nullptr
)
[<HttpGetAttribute>]
[<ActionNameAttribute("CustomConfigurationUI")>]
member GetCustomConfigurationUI :
id : Guid *
contentType : string *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the transform to get the custom UI for. - contentType
- Type: SystemString
The type of the content to get the UI for. For example: text/html. - sessionId (Optional)
- Type: SystemNullableGuid
The current session ID.
Return Value
Type:
IActionResult
A
String object, or a status code indicating the problem.
See Also